# Application Performance Monitoring

At Smarter.Codes Engineering we are using Microservices in most projects. And often we run into issues where some feature is 'slow'. It becomes difficult to debug what microservices are at fault. APM seems to be suggesting a solution. Please find here a nice link to APM tutorial

# Inspirations
https://www.elastic.co/campaigns/free-apm
